Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Body

application/json
code
string
required
Required string length: 1 - 4096
state
string
required
Required string length: 32 - 128

Response

Successful Response

key
string
required
display_name
string
required
auth_kind
enum<string>
required
Available options:
oauth,
api_key
connection
ConnectorConnectionModel · object | null